Odin

ESL-Migrolino

Create a pairing between store, product and label.

This is where we “pair” the holy trinity.

post
https://api-qual.migros.ch/migrolino/products/odin/v1/label

Body

application/json

LabelRequest

A label represents the meta data object to link a store, product and a label together. TODO maybe add @product

labelIDstringrequired

Is the label unique identifier

>= 12 characters<= 12 characters

productIDstringrequired

Is the SAP ID of a product. Note - Not a GTIN.

>= 12 characters<= 12 characters

showDeliveryInterruptionboolean

Indicates if ther product has a delivery-interruption.

showNeuboolean

Indicates if a label should show the “Neu Beam”.

showNoReorderboolean

indicates if a product shouldn’t be reordered.

showSeason

indicates if a product should show the “Saison Beam”

storeIDstringrequired

Is the migros default way of identifiying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

Response

application/json

Returns a single label

LabelResponse

A label represents the meta data object to link a store, product and a label together. TODO maybe add @product

labelIDstringrequired

Is the label unique identifier

>= 12 characters<= 12 characters

productobjectrequired

On a linked Migrolino label, we also return its product.

Show Child Parameters
productIDstringrequired

Is the SAP ID of a product. Note - Not a GTIN.

>= 12 characters<= 12 characters

storeIDstringrequired

Is the migros default way of identifiying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

post/migrolino/products/odin/v1/label

Body

{ "labelID": "labelID", "productID": "productID", "storeID": "storeID" }
 
application/json

Remove Migrolino label

Removes the specified Migros label along with any associated labels that have the same product and store. It also unlinks the labels from AIMS.

delete
https://api-qual.migros.ch/migrolino/products/odin/v1/label/{labelID}

Path Parameters

labelIDstringrequired

ID of the label

Example:0BC62A0BB696

Response

204

Label deleted

delete/migrolino/products/odin/v1/label/{labelID}
 
204

Get a single label.

Gets a label by it’s label ID.

get
https://api-qual.migros.ch/migrolino/products/odin/v1/label/{labelID}

Path Parameters

labelIDstringrequired

ID of the label

Example:0BC62A0BB696

Response

application/json

Returns a single label

LabelResponse

A label represents the meta data object to link a store, product and a label together. TODO maybe add @product

labelIDstringrequired

Is the label unique identifier

>= 12 characters<= 12 characters

productobjectrequired

On a linked Migrolino label, we also return its product.

Show Child Parameters
productIDstringrequired

Is the SAP ID of a product. Note - Not a GTIN.

>= 12 characters<= 12 characters

storeIDstringrequired

Is the migros default way of identifiying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

get/migrolino/products/odin/v1/label/{labelID}
 
application/json

Create Migrolino attributes additional to the stammproduct-data.

This is where we can set 6 weeks neuheiten.

post
https://api-qual.migros.ch/migrolino/products/odin/v1/product/attributes

Body

application/json

ProductAttributeRequestResponse

Additional product specific attributes.

productIDstring

Is the SAP ID of a product. Note - Not a GTIN.

>= 12 characters<= 12 characters

showDeliveryInterruptionboolean

Field indicates if a product currently has delivery interruption and should be indicated as such.

showNeuboolean

Field indicates if a product is currently promoted as a “new” product or neuheit.

showNoReorderboolean

Field indicates if a product shouldn’t be reordered.

showSeasonboolean

Field indicates if a product is currently promoted as a “seasonal” product.

storeIDstring

Is the migros default way of identifiying stores. Note - Consists of 7 digits

>= 7 characters<= 7 characters

Response

Attributes are created.

post/migrolino/products/odin/v1/product/attributes

Body

{}